Bug 483676 - (perl-App-Asciio) Review Request: perl-App-Asciio - Draw ascii art quickly and easily!
Review Request: perl-App-Asciio - Draw ascii art quickly and easily!
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/App-Asciio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 17:54 EST by Chris Weyl
Modified: 2009-02-06 19:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 19:57:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-02-02 17:54:23 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-App-Asciio.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-App-Asciio-1.02.71-1.fc10.src.rpm

Description:
This gtk2-perl application allows you to draw ASCII diagrams in a modern
(but simple) graphical application. The ASCII graphs can be saved as ASCII
or in a format that allows you to modify them later.

This package contains the back-end libraries needed to implement asciio.  For
the actual gui app itself, please install the 'asciio' package.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1100189
Comment 1 Parag AN(पराग) 2009-02-03 01:33:52 EST
so some of BR are missing for f-10
like BuildRequires: perl(Data::TreeDumper::Renderer::GTK)
BuildRequires: perl(Eval::Context)
Comment 2 Chris Weyl 2009-02-03 02:20:34 EST
So they are.  Building and submitting now...
Comment 3 Parag AN(पराग) 2009-02-03 02:38:18 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1100189
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
874b61f609152e04c3a8180db90c5899  App-Asciio-1.02.71.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs nothing.
+ Package perl-App-Asciio-1.02.71-1.fc11 ->
Provides: perl(App::Asciio) = 1.02 perl(App::Asciio::Actions) = 1.02.71 perl(App::Asciio::Ascii) = 1.02.71 perl(App::Asciio::Connections) = 1.02.71 perl(App::Asciio::Dialogs) = 1.02.71 perl(App::Asciio::Elements) = 1.02.71 perl(App::Asciio::Io) = 1.02.71 perl(App::Asciio::Menues) = 1.02.71
 perl(App::Asciio::Options) = 1.02.71 perl(App::Asciio::Setup) = 1.02.71 perl(App::Asciio::Undo) = 1.02.71 perl(App::Asciio::stripes::editable_arrow2) perl(App::Asciio::stripes::editable_box2) perl(App::Asciio::stripes::if_box) perl(App::Asciio::stripes::process_box) perl(App::Asciio::stripes::section_wirl_arrow) perl(App::Asciio::stripes::single_stripe) perl(App::Asciio::stripes::stripes) perl(App::Asciio::stripes::wirl_arrow)

Requires: perl(Algorithm::Diff) perl(App::Asciio::Actions) perl(App::Asciio::Ascii) perl(App::Asciio::Connections) perl(App::Asciio::Dialogs) perl(App::Asciio::Elements) perl(App::Asciio::Io) perl(App::Asciio::Menues) perl(App::Asciio::Options) perl(App::Asciio::Setup) perl(App::Asciio::Undo) perl(App::Asciio::stripes::editable_box2) perl(App::Asciio::stripes::section_wirl_arrow) perl(App::Asciio::stripes::wirl_arrow) perl(Carp) perl(Clone) perl(Compress::Bzip2) perl(Data::Dumper) perl(Data::TreeDumper)
 perl(Data::TreeDumper::Renderer::GTK) perl(Eval::Context) perl(File::Basename) perl(File::Copy) perl(File::Slurp) perl(Getopt::Long) perl(Glib) perl(Gtk2) perl(Gtk2::Gdk::Keysyms) perl(List::MoreUtils) perl(List::Util) perl(Module::Util) perl(Readonly) perl(base) perl(constant) perl(lib) perl(strict) perl(warnings)

Suggestions:
1) Drop fedora vendor tag as per guidelines
http://fedoraproject.org/wiki/PackagingGuidelines#desktop-file-install_usage

2) drop line from desktop file
Encoding=UTF-8
as per discussed here https://www.redhat.com/archives/fedora-packaging/2009-January/msg00160.html

3) I see both binary packages use same summary. Can you write summary for perl-App-Asciio as
Perl modules to draw ascii art quickly and easily!
This is just a suggestion. Feel free to modify it as per you think appropriate.
Comment 4 Chris Weyl 2009-02-03 12:19:36 EST
All three are well taken; I'll make those changes.  Would you like to see them pre-approval, or can I make the changes before importing?
Comment 5 Parag AN(पराग) 2009-02-04 01:46:00 EST
Ok. Make sure you will create new SRPM fixing above issues and then only import in cvs.

APPROVED.
Comment 6 Chris Weyl 2009-02-04 02:12:46 EST
New Package CVS Request
=======================
Package Name: perl-App-Asciio
Short Description: Draw ascii art quickly and easily!
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 7 Kevin Fenzi 2009-02-05 22:13:37 EST
cvs done.
Comment 8 Chris Weyl 2009-02-06 19:57:28 EST
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.